ONVIF::PTZ::Types::VideoAnalyticsConfiguration(3)

NAME
ONVIF::PTZ::Types::VideoAnalyticsConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoAnalyticsConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AnalyticsEngineConfiguration

•   RuleEngineConfiguration

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::VideoAnalyticsConfiguration
   AnalyticsEngineConfiguration =>  { # ONVIF::PTZ::Types::AnalyticsEngineConfiguration
     AnalyticsModule =>  { # ONVIF::PTZ::Types::Config
       Parameters =>  { # ONVIF::PTZ::Types::ItemList
         SimpleItem => ,
         ElementItem =>  {
         },
         Extension =>  { # ONVIF::PTZ::Types::ItemListExtension
         },
       },
     },
     Extension =>  { # ONVIF::PTZ::Types::AnalyticsEngineConfigurationExtension
     },
   },
   RuleEngineConfiguration =>  { # ONVIF::PTZ::Types::RuleEngineConfiguration
     Rule =>  { # ONVIF::PTZ::Types::Config
       Parameters =>  { # ONVIF::PTZ::Types::ItemList
         SimpleItem => ,
         ElementItem =>  {
         },
         Extension =>  { # ONVIF::PTZ::Types::ItemListExtension
         },
       },
     },
     Extension =>  { # ONVIF::PTZ::Types::RuleEngineConfigurationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL